## fakesink fakesink — Black hole for data |

## Synopsis

                        GstFakeSink;
    enum                GstFakeSinkStateError;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstFakeSink

## Properties

      "can-activate-pull"        gboolean              : Read / Write
      "can-activate-push"        gboolean              : Read / Write
      "dump"                     gboolean              : Read / Write
      "last-message"             gchar*                : Read
      "signal-handoffs"          gboolean              : Read / Write
      "silent"                   gboolean              : Read / Write
      "state-error"              GstFakeSinkStateError  : Read / Write
      "num-buffers"              gint                  : Read / Write

## Signals

      "handoff"                                        : Run Last
      "preroll-handoff"                                : Run Last

## Description

Dummy sink that swallows everything.

### Example launch line

    1
    gst-launch audiotestsrc num-buffers=1000 ! fakesink sync=false

Render 1000 audio buffers (of default size) as fast as possible.

## Details

### GstFakeSink

    typedef struct _GstFakeSink GstFakeSink;

The opaque GstFakeSink data structure.

### enum GstFakeSinkStateError

    typedef enum {
      FAKE_SINK_STATE_ERROR_NONE = 0,
      FAKE_SINK_STATE_ERROR_NULL_READY,
      FAKE_SINK_STATE_ERROR_READY_PAUSED,
      FAKE_SINK_STATE_ERROR_PAUSED_PLAYING,
      FAKE_SINK_STATE_ERROR_PLAYING_PAUSED,
      FAKE_SINK_STATE_ERROR_PAUSED_READY,
      FAKE_SINK_STATE_ERROR_READY_NULL
    } GstFakeSinkStateError;

Possible state change errors for the state-error property.

`FAKE_SINK_STATE_ERROR_NONE` | no error
`FAKE_SINK_STATE_ERROR_NULL_READY` | cause the NULL to READY state change to fail
`FAKE_SINK_STATE_ERROR_READY_PAUSED` | cause the READY to PAUSED state change to fail:
`FAKE_SINK_STATE_ERROR_PAUSED_PLAYING` | cause the PAUSED to PLAYING state change to fail:
`FAKE_SINK_STATE_ERROR_PLAYING_PAUSED` | cause the PLAYING to PAUSED state change to fail:
`FAKE_SINK_STATE_ERROR_PAUSED_READY` | cause the PAUSED to READY state change to fail:
`FAKE_SINK_STATE_ERROR_READY_NULL` | cause the READY to NULL state change to fail:

## Property Details

### The `"can-activate-pull"` property

      "can-activate-pull"        gboolean              : Read / Write

Can activate in pull mode.

Default value: FALSE

### The `"can-activate-push"` property

      "can-activate-push"        gboolean              : Read / Write

Can activate in push mode.

Default value: TRUE

### The `"dump"` property

      "dump"                     gboolean              : Read / Write

Dump buffer contents to stdout.

Default value: FALSE

### The `"last-message"` property

      "last-message"             gchar*                : Read

The message describing current status.

Default value: NULL

### The `"signal-handoffs"` property

      "signal-handoffs"          gboolean              : Read / Write

Send a signal before unreffing the buffer.

Default value: FALSE

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Don't produce last_message events.

Default value: FALSE

### The `"state-error"` property

      "state-error"              GstFakeSinkStateError  : Read / Write

Generate a state change error.

Default value: No state change errors

### The `"num-buffers"` property

      "num-buffers"              gint                  : Read / Write

Number of buffers to accept going EOS.

Allowed values: >= G_MAXULONG

Default value: -1

## Signal Details

### The `"handoff"` signal

    void                user_function                      (GstFakeSink *fakesink,
                                                            GstBuffer   *buffer,
                                                            GstPad      *pad,
                                                            gpointer     user_data)      : Run Last

This signal gets emitted before unreffing the buffer.

`fakesink` : | the fakesink instance
`buffer` : | the buffer that just has been received
`pad` : | the pad that received it
`user_data` : | user data set when the signal handler was connected.

### The `"preroll-handoff"` signal

    void                user_function                      (GstFakeSink *fakesink,
                                                            GstBuffer   *buffer,
                                                            GstPad      *pad,
                                                            gpointer     user_data)      : Run Last

This signal gets emitted before unreffing the buffer.

`fakesink` : | the fakesink instance
`buffer` : | the buffer that just has been received
`pad` : | the pad that received it
`user_data` : | user data set when the signal handler was connected.

Since 0.10.7

## See Also

GstFakeSrc